#
# spec file for package magic
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:			magic
Version:		8.0.210
Release:		8.30
License:		GPL-2.0
Summary:		Detail netlist router for ASICs
Group:			Applications/Engineering
Url:			http://opencircuitdesign.com/magic
Source:			http://opencircuitdesign.com/magic/archive/magic-8.0.210.tgz
BuildRequires:		gcc, gcc-c++, glibc-devel
BuildRequires:		Mesa-libGL-devel
BuildRequires:		tcl-devel 
BuildRequires:		tk-devel
BuildRequires:		tcl
BuildRequires:		tcsh
BuildRequires:		m4
BuildRequires:		glu-devel
BuildRequires:		freeglut-devel
BuildRequires:		xorg-x11-devel
BuildRequires:		libX11-devel
BuildRequires:		libXt-devel
BuildRequires:		libXft-devel

Requires:		tcl
BuildRoot:		%{_tmppath}/%{name}-%{version}-build

%description
Magic is a venerable VLSI layout tool, written in the 1980's at Berkeley by John Ousterhout,
now famous primarily for writing the scripting interpreter language Tcl.
Due largely in part to its liberal Berkeley open-source license, magic has remained popular
with universities and small companies. The open-source license has allowed VLSI engineers
with a bent toward programming to implement clever ideas and help magic stay abreast of fabrication technology.
However, it is the well thought-out core algorithms which lend to magic the greatest part of its popularity.
Magic is widely cited as being the easiest tool to use for circuit layout, even for people who ultimately
rely on commercial tools for their product design flow. 

%prep
%setup -q

%build
for i in `find -type f`; do sed -e 's/#!\/usr\/local\/bin\/tclsh/#!\/usr\/bin\/tclsh/g' -i $i; done
for i in `find -type f`; do sed -e 's/#!\/bin\/tclsh/#!\/usr\/bin\/tclsh/g' -i $i; done
%configure --prefix=/usr
make
cat make.log

%install
make install DESTDIR=%{buildroot}

# Silence the totally braindead rpmlint. At least partially.
%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc README VERSION
%{_bindir}/*
%{_libdir}/*
%{_datadir}/*

%changelog
* Tue Dec 8 2015 David Lanzendörfer <david.lanzendoerfer@o2s.ch> - magic
- Initial build.

